# $Revision: 1.26 $, $Date: 2003/04/18 17:21:45 $
Summary:	GSM audio encoding/decoding library
Summary(pl):	Biblioteka kodujca/dekodujca dwik GSM
Summary(pt_BR):	Biblioteca de codificao/decodificao de udio GSM
Summary(ru):	  / GSM
Summary(uk):	̦ Ħ / GSM
Name:		libgsm
Version:	1.0.10
Release:	8
License:	Free (Copyright (C) Technische Universitaet Berlin)
Group:		Libraries
Source0:	ftp://ftp.cs.tu-berlin.de/pub/local/kbs/tubmik/gsm/gsm-%{version}.tar.gz
Patch0:		%{name}-makefile.patch
URL:		http://kbs.cs.tu-berlin.de/~jutta/toast.html
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a free and public implementation of GSM audio encoding and
decoding. The gsm library is used in many free software projects
including 'rplay', but has never been packaged as a stand-alone shared
library. GSM encoding has specific uses in transmission of packetized
audio over the Internet.

GSM 06.10 compresses frames of 160 13-bit samples (8 kHz sampling
rate, i.e. a frame rate of 50 Hz) into 260 bits; for compatibility
with typical UNIX applications, our implementation turns frames of 160
16-bit linear samples into 33-byte frames (1650 Bytes/s). The quality
of the algorithm is good enough for reliable speaker recognition; even
music often survives transcoding in recognizable form (given the
bandwidth limitations of 8 kHz sampling rate).

%description -l pl
To jest darmowa implementacja kodowania i dekodowania dwiku GSM.
Biblioteka jest uywana w wielu projektach, m.in. rplay. Kodowanie GSM
ma specyficzne zastosowani przy transmisji pakietowanego dwiku przez
Internet.

GSM 06.10 dokonuje kompresji ramek 160 13-bitowych sampli (o
omiokilohercowej czstotliwoci prbkowania, czyli czstotliwoci
ramki 50 Hz) do 260 bitw; aby zachowa kompatybilno z typowymi
aplikacjami uniksowymi, nasza implementacja zamienia ramki 160
16-bitowych linearnych sampli w 33-bajtowe ramki (1650 bajtw/s).
Algorytm jest na tyle dobry, e mona go wykorzysta do przekazywania
mowy. Nawet muzyka czsto pomylnie przechodzi proces kodowania
(wziwszy pod uwag ograniczenia przepustowoci osmiokilohercowej
czstotliwoci prbkowania).

%description -l pt_BR
Esta  uma implementao pblica e livre da codificao GSM. A
biblioteca gsm  usada por muitos programas de livre distribuio,
entre eles o rplay.

%description -l ru
    / GSM.
 GSM      .

%description -l uk
 צ ̦æ Ħ / GSM.  GSM
դ  ަ Ħ  .

%package devel
Summary:	Header files and development documentation for libgsm
Summary(pl):	Pliki nagwkowe i dokumentacja do libgsm
Summary(pt_BR):	Biblioteca de codificao/decodificao de udio GSM - arquivos para desenvolvimento
Summary(ru):	      libgsm
Summary(uk):	     ¦̦ libgsm
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files and development documentation for libgsm.

%description devel -l pl
Pliki nagwkowe i dokumentacja do libgsm.

%description devel -l pt_BR
Biblioteca de codificao/decodificao de udio GSM - arquivos para
desenvolvimento

%description devel -l ru
   ,     
  libgsm.

%description devel -l uk
  ͦ , ȦΦ    
 ¦̦ libgsm.

%package static
Summary:	GSM Audio Encoding/decoding static library
Summary(pl):	Statyczna biblioteka GSM Audio
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com a libgsm
Summary(ru):	      libgsm
Summary(uk):	Φ ¦̦     libgsm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
GSM Audio Encoding/decoding static library.

%description static -l pl
Statyczna biblioteka GSM Audio.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento com libgsm

%description static -l ru
       .

%description static -l uk
  ͦ Φ ¦¦̦   .

%prep
%setup -q -n gsm-1.0-pl10
%patch0 -p1

%build
%{__make} \
	CC="%{__cc} -ansi -pedantic" \
	OPTFLAGS="%{rpmcflags}" WAV49="-DWAV49"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man{1,3},%{_includedir},%{_libdir}}

%{__make} install INSTALL_ROOT=$RPM_BUILD_ROOT

echo .so toast.1 >$RPM_BUILD_ROOT%{_mandir}/man1/tcat.1
echo .so toast.1 >$RPM_BUILD_ROOT%{_mandir}/man1/untoast.1

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYRIGHT ChangeLog MACHINES README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libgsm.so.*.*
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgsm.so
%{_includedir}/*
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/libgsm.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libgsm.spec,v $
Revision 1.26  2003/04/18 17:21:45  qboosh
- changed makefile patch: don't always strip, link using $(CC) not ld
- added URL
- release 8

Revision 1.25  2003/01/18 22:20:56  kloczek
- relase 7: merge translations from KSI and Conectiva.

Revision 1.24  2002/12/31 11:16:43  gotar
- cut off Vendor

Revision 1.23  2002/11/27 21:10:41  juandon
- new %%doc

Revision 1.22  2002/04/05 15:17:58  roman
s/Free/Copyright Technische Universitaet Berlin/Free (Copyright (C) Technische Universitaet Berlin in License

Revision 1.21  2002/02/22 23:29:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/01/18 02:13:39  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2002/01/13 14:09:35  kloczek
- release 6.

Revision 1.18  2001/12/28 19:23:09  qboosh
- merged part of description from obsolete gsm.spec

Revision 1.17  2001/12/05 16:23:48  qboosh
- pl descriptions; release 5

Revision 1.16  2001/08/13 00:46:05  kloczek
- release 4.

Revision 1.15  2001/04/30 16:05:20  kloczek
- added using %%{rpmcflags} macro.

Revision 1.14  2001/01/25 20:03:24  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.13  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.12  2000/12/19 11:10:27  mis
- fixed makefile patch and typo
- release 3

Revision 1.11  2000/12/14 22:16:39  kloczek
- added useing new rpm automation.

Revision 1.10  2000/12/14 10:21:01  mis
- turn on WAV support
- release 2

Revision 1.9  2000/08/29 11:55:44  wiget
join all makefiles patches

Revision 1.8  2000/08/25 15:33:18  agaran
(pl) To nie jest poprawne...ale nie wiem jak to zrobic lepiej

Revision 1.7  2000/08/24 00:38:20  kloczek
- spec adapterized,
- removed INSTALL from %doc,
- fiew cosmetics.

Revision 1.6  2000/08/24 00:00:28  waszi
libgsm.spec

Revision 1.5  2000/08/23 21:37:55  waszi
- partially rewrited

Revision 1.4  2000/08/07 23:00:14  baggins
- fixed rpm Group

Revision 1.3  2000/06/09 07:23:22  kloczek
- added using %%{__make} macro.

Revision 1.2  2000/06/07 02:46:39  kloczek
- spec adapterized.
